|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Functions | Variables
sccp3.c File Reference
MPLABX MCC Melody Code Generator » PWM Driver

This is the generated driver source file for SCCP3 driver. More...

`#include <xc.h>`
`#include <stddef.h>`
`#include "../sccp3.h"`
Include dependency graph for sccp3.c:

Go to the source code of this file.

## Functions
void | SCCP3_PWM_Initialize (void)
| Initializes the SCCP3 Pulse driver. This function must be called before any other SCCP3 function is called.
void | SCCP3_PWM_Deinitialize (void)
| Deinitializes the SCCP3 to POR values.
void | SCCP3_PWM_Enable (void)
| Enables the SCCP3 module.
void | SCCP3_PWM_Disable (void)
| Disables the SCCP3 module.
void | SCCP3_PWM_PeriodSet (size_t periodCount)
| Sets the cycle width.
void | SCCP3_PWM_DutyCycleSet (size_t dutyCycleCount)
| Sets the ON pulse width.
void | SCCP3_PWM_SoftwareTriggerSet (void)
| This function sets the manual trigger.
void | SCCP3_PWM_CallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for SCCP3 PWM event.
void | __attribute__ ((weak))
void | SCCP3_PWM_Tasks (void)
| This function is used to implement the tasks for polled implementations.

## Variables
static void(* | SCCP3_PWMHandler )(void) = NULL
const struct PWM_INTERFACE | FAN_PWM
| Structure object of type PWM_INTERFACE with the custom name given by the user in the Melody Driver User interface. The default name e.g. PWM1 can be changed by the user in the MCCP user interface. This allows defining a structure with application specific name using the 'Custom Name' field. Application specific name allows the API Portability.

## Detailed Description

SCCP3 Generated Driver Source File

Definition in file sccp3.c.

## Function Documentation

## ◆ __attribute__()

void __attribute__ | ( | (weak) |  | ) |

Definition at line 155 of file sccp3.c.

## Variable Documentation

## ◆ SCCP3_PWMHandler

void(* SCCP3_PWMHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 46 of file sccp3.c.